# CUpti_PCSamplingStartParams Struct Reference
[CUPTI PC Sampling API]

Params for cuptiPCSamplingStart.

## Data Fields
CUcontext | ctx
void * | pPriv
size_t | size

## Field Documentation

CUcontext CUpti_PCSamplingStartParams::ctx

[w] CUcontext

void* CUpti_PCSamplingStartParams::pPriv

[w] Assign to NULL

size_t CUpti_PCSamplingStartParams::size

[w] Size of the data structure i.e. CUpti_PCSamplingStartParamsSize CUPTI client should set the size of the structure. It will be used in CUPTI to check what fields are available in the structure. Used to preserve backward compatibility.